/*
 * $Id: getopt.h,v 1.4 1995/05/11 20:45:34 vons Exp $
 *
 * Prototypes for POSIX.2 compatible getopt().
 *
 * Include this _after_ any standard includes!  (see below)
 *
 * $Log: getopt.h,v $
 * Revision 1.4  1995/05/11  20:45:34  vons
 * added HAVE_OPTIND_DECL
 * renamed PROTO to HAVE_PROTOTYPES
 *
 * Revision 1.3  1994/12/17  23:49:49  vons
 * renamed REPLACE_GETOPT flag, is now HAVE_POSIX_GETOPT
 *
 * Revision 1.2  1994/07/30  10:34:59  vons
 * Fixed compiler warning (redundant decl's)
 *
 * Revision 1.1  1994/06/14  22:13:14  vons
 * Initial revision
 *
 */

#include <stdio.h>
#include <string.h>

#ifndef HAVE_POSIX_GETOPT
/*
 * Rename funcs&vars to avoid conflict with system's getopt(). This also
 * modifies the calls in the source file that contains this include!
 */
#define optind Optind
#define opterr Opterr
#define optarg Optarg
#define optopt Optopt
#define getopt	Getopt
#endif /* HAVE_POSIX_GETOPT */

#ifndef __GETOPT_PRIVATE__

#ifndef HAVE_PROTOTYPES
#ifdef __STDC__
#define HAVE_PROTOTYPES	1
#endif
#endif

#ifndef HAVE_OPTIND_DECL

extern int optind;
extern int opterr;
extern char *optarg;
extern int optopt;

#ifdef HAVE_PROTOTYPES
extern int getopt(int, char *const *, const char *);
#else
extern int getopt();
#endif

#endif /* HAVE_OPTIND_DECL */

#endif /* __GETOPT_PRIVATE__ */
